public class StreetSearchAction extends SearchAction
| Modifier and Type | Field and Description |
|---|---|
String |
lat |
String |
lng |
String |
radius |
DEFAULT_NUMBER_OF_RESULTS_PER_PAGE, errorMessage, POPUP_VIEW| Constructor and Description |
|---|
StreetSearchAction() |
| Modifier and Type | Method and Description |
|---|---|
com.gisgraphy.serializer.common.OutputFormat[] |
getFormats() |
String |
getLat() |
String |
getLng() |
String |
getName() |
Map<String,String> |
getNameOptions() |
String |
getRadius() |
protected javax.servlet.http.HttpServletRequest |
getRequest() |
com.gisgraphy.domain.valueobject.StreetSearchResultsDto |
getStreetSearchResultsDto() |
String |
getStreetType() |
com.gisgraphy.street.StreetType[] |
getStreetTypes() |
boolean |
isAutosubmit() |
boolean |
isDisplayResults() |
boolean |
isDistance() |
String |
search()
Execute a StreetSearch from the request parameters
|
String |
searchpopup()
Execute a streetSearch from the request parameters
|
void |
setAutosubmit(boolean autosubmit) |
void |
setDistance(boolean distance) |
void |
setLat(String lat) |
void |
setLng(String lng) |
void |
setName(String name) |
void |
setRadius(String radius) |
void |
setStreetSearchEngine(com.gisgraphy.street.IStreetSearchEngine streetSearchEngine) |
void |
setStreetType(String streetType) |
getDefaultNumberOfResultsPerPage, getErrorMessage, getFormat, getFrom, getPlacetypes, getTo, isAdvancedSearch, isIndent, setAdvancedSearch, setFormat, setFrom, setIndent, setToaddActionError, addActionMessage, addFieldError, clearActionErrors, clearErrors, clearErrorsAndMessages, clearFieldErrors, clearMessages, clone, doDefault, execute, getActionErrors, getActionMessages, getErrorMessages, getErrors, getFieldErrors, getLocale, getText, getText, getText, getText, getText, getText, getText, getText, getText, getTexts, getTexts, hasActionErrors, hasActionMessages, hasErrors, hasFieldErrors, hasKey, input, pause, setActionErrors, setActionMessages, setFieldErrors, validatepublic boolean isDistance()
public void setDistance(boolean distance)
public boolean isDisplayResults()
protected javax.servlet.http.HttpServletRequest getRequest()
public String search() throws Exception
Exception - in case of errorspublic com.gisgraphy.street.StreetType[] getStreetTypes()
public String searchpopup() throws Exception
Exception - in case of errorspublic com.gisgraphy.serializer.common.OutputFormat[] getFormats()
public void setStreetSearchEngine(com.gisgraphy.street.IStreetSearchEngine streetSearchEngine)
streetSearchEngine - the streetSearchEngine to setpublic String getLat()
public void setLat(String lat)
lat - the lat to setpublic String getLng()
public void setLng(String lng)
lng - the lng to setpublic String getRadius()
public void setRadius(String radius)
radius - the radius to setpublic void setStreetType(String streetType)
streetType - the streettype to setpublic String getStreetType()
public com.gisgraphy.domain.valueobject.StreetSearchResultsDto getStreetSearchResultsDto()
public boolean isAutosubmit()
public void setAutosubmit(boolean autosubmit)
autosubmit - the autosubmit to setpublic String getName()
public void setName(String name)
name - the name to setCopyright © 2015. All rights reserved.